#!/bin/sh

DRIVER=3w-sas

echo "Driver Installation"
MACHINE=i686
KERNEL=`cat /proc/version | awk '{ print $3 }'`

( echo $KERNEL | grep "386" -s -q ) && MACHINE=i386
( echo $KERNEL | grep "586" -s -q ) && MACHINE=i586
( echo $KERNEL | grep "686" -s -q ) && MACHINE=i686
( echo $KERNEL | grep "x86_64" -s -q ) && MACHINE=x86_64

if [ -f modules.cgz ]; then
    gzip -dc modules.cgz | cpio -idum ${KERNEL}/${MACHINE}/${DRIVER}.ko > /dev/null 2>/dev/null
    if [ ! -f ${KERNEL}/${MACHINE}/${DRIVER}.ko ]; then
        echo "Error extracting driver, possible reason:"
	echo "  1. driver disk corrupt"
	echo "  2.Driver disk is not for the OS being installed"
        echo "Please check the driver disk and the version of the installation medium."
        exit 1
    fi
else
    echo "No driver archive found."
    exit 1
fi

rmmod ${DRIVER}
modprobe sd_mod > /dev/null 2> /dev/null
insmod ${KERNEL}/${MACHINE}/${DRIVER}.ko

echo "Driver installation step 1 completed."
